package cn.qinys.platform.upms.api.service;

import cn.qinys.platform.upms.api.req.AdminTokenReq;
import cn.qinys.platform.upms.api.req.CurrentUserUpdatePwdReq;
import cn.qinys.platform.upms.api.req.LoginSmsReq;
import cn.qinys.platform.upms.api.resp.AdminTokenResp;

/**
 * Description:
 *
 * @author tanlie
 * Date: 2024/2/5 9:43
 */
public interface ILoginService {

    /**
     * 发送短信验证码-登陆专用
     *
     * @param req 参数
     * @return
     */
    void sendSmsCode(LoginSmsReq req);


    /**
     * 后台登录
     *
     * @param req
     * @return
     */
    AdminTokenResp login(AdminTokenReq req);

    /**
     * 重置token
     *
     * @return
     */
    AdminTokenResp refreshToken();

    /**
     * 退出登录
     */
    void logout();

    /**
     * 更新密码
     *
     * @param req
     */
    void updatePassword(CurrentUserUpdatePwdReq req);
}
